System.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Security.Cryptography.Xml.KeyInfoClause

The <KeyName> element contains a string identifier that the party validating or decrypting an XML document uses to identify the corresponding key. For example, if you receive an encrypted or signed XML document that has a <KeyName> element value of "AsymmetricKey1", you will use a key that you and the sender have named "AsymmetricKey1" to decrypt or verify the document. Both parties must agree on a key name mapping ahead of time. Note that the actual key is not imbedded in the XML document.

For more information about the <KeyName> element, see Section 4.4.1 of the XMLDSIG specification, which is available from the World Wide Web Consortium (W3C) at www.w3.org/TR/xmldsig-core/, or see the XML Encryption specification, which is available from the W3C at www.w3.org/TR/xmlenc-core/.

Represents a <KeyName> subelement of an XMLDSIG or XML Encryption <KeyInfo> element.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  The parameter can contain any string; the interpretation of the string is specific to the application. White space is significant in the string value.

  The parameter specifies the value of the property.

  Initializes a new instance of the class by specifying the string identifier that is the value of the <KeyName> element.

  The string identifier that is the value of the <KeyName> element.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement

  The object returned by this method is suitable for use as a subelement of an XMLDSIG or XML Encryption <KeyInfo> element.

  Returns an XML representation of the object.

  An XML representation of the object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method is typically used to process a <KeyName> subelement of a <KeyInfo> element.

  Parses the input object and configures the internal state of the object to match.

  The object that specifies the state of the object.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String a

  The property can contain any string; the interpretation of the string is specific to the application. White space is significant in the string value.

  Gets or sets the string identifier contained within a <KeyName> element.